[[block]]
struct WindowSize {
  w : f32;
  h : f32;
};

var<private> gl_FragCoord : vec4<f32>;

[[group(0), binding(2)]] var<uniform> windowSize : WindowSize;

var<private> outColor : vec4<f32>;

[[group(0), binding(1)]] var text : texture_2d<f32>;

[[group(0), binding(0)]] var sampl : sampler;

fn main_1() {
  var coords : vec2<f32>;
  let x_17 : f32 = gl_FragCoord.x;
  let x_25 : f32 = windowSize.w;
  let x_29 : f32 = gl_FragCoord.y;
  let x_32 : f32 = windowSize.h;
  coords = vec2<f32>((x_17 / x_25), (x_29 / x_32));
  let x_47 : vec2<f32> = coords;
  let x_48 : vec4<f32> = textureSample(text, sampl, x_47);
  outColor = x_48;
  return;
}

struct main_out {
  [[location(0)]]
  outColor_1 : vec4<f32>;
};

[[stage(fragment)]]
fn main([[builtin(position)]] gl_FragCoord_param : vec4<f32>) -> main_out {
  gl_FragCoord = gl_FragCoord_param;
  main_1();
  return main_out(outColor);
}
