#version 450



layout(set = 0, binding = 0) uniform sampler sampl;
layout(set = 0, binding = 1) uniform texture2D text;
layout(set = 0, binding = 2) uniform WindowSize{
    float w;
    float h;
}windowSize;

layout(location = 0) out vec4 outColor;

void main() {
    vec2 coords = vec2(gl_FragCoord.x / windowSize.w, gl_FragCoord.y / windowSize.h);
    outColor = texture(sampler2D(text, sampl), coords);
}